import 'dart:io';

class JsonRequest {
  HttpHeaders headers;
  String method;
  String path;
  Map<String, List<String>> query;
  Object data;
  
  JsonRequest(HttpRequest request, Object data) {
    this.headers = request.headers;
    this.method = request.method;
    this.path = request.requestedUri.path;
    this.query = request.requestedUri.queryParametersAll;
    this.data = data;
  }
}
