import 'dart:io';
import 'package:pioneer/pioneer.dart';

class Method {
  static const String GET = 'GET';
  static const String HEAD = 'HEAD';
  static const String POST = 'POST';
  static const String PUT = 'PUT';
  static const String DELETE = 'DELETE';
  static const String PATCH = 'PATCH';
  static const String OPTIONS = 'OPTIONS';
  // CONNECT method not supported
}

typedef Middleware = JsonResponse Function(JsonRequest request);
typedef Handler = JsonResponse Function(JsonRequest request);
